#!/bin/sh
export KSROOT=/koolshare
source $KSROOT/scripts/base.sh

PACKAGE_VERSION=0.5

mkdir -p $KSROOT/init.d
mkdir -p /tmp/upload

cp -r /tmp/verysync/* $KSROOT/
chmod a+x $KSROOT/verysync/verysync
chmod a+x $KSROOT/scripts/verysync_*
chmod a+x $KSROOT/init.d/S97verysync.sh

# add icon into softerware center
dbus set softcenter_module_verysync_install=1
dbus set softcenter_module_verysync_version=$PACKAGE_VERSION
dbus set softcenter_module_verysync_name=verysync
dbus set softcenter_module_verysync_title=微力同步
dbus set softcenter_module_verysync_description="微力数据P2P同步，轻松搭建私有云&网盘"
rm -rf $KSROOT/install.sh

dbus set verysync_disklist=`df -h | grep mnt| awk '{print $6"\t"$4}'|openssl base64`

# apply aliddns
#sh $KSROOT/scripts/verysync_config.sh start


